summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--office/gnucash-legacy-docs/README23
-rw-r--r--office/gnucash-legacy-docs/gnucash-legacy-docs.SlackBuild128
-rw-r--r--office/gnucash-legacy-docs/gnucash-legacy-docs.info10
-rw-r--r--office/gnucash-legacy-docs/slack-desc19
4 files changed, 180 insertions, 0 deletions
diff --git a/office/gnucash-legacy-docs/README b/office/gnucash-legacy-docs/README
new file mode 100644
index 0000000000..f871bd2dcc
--- /dev/null
+++ b/office/gnucash-legacy-docs/README
@@ -0,0 +1,23 @@
+This is the documentation package for Gnucash-legacy (2.6.x).
+
+This builds the internal help and user guides for Gnucash.
+
+For the EPUB help and user guides, pass EPUB="yes" to the script.
+
+For the PDF help and user guides, make sure fop is installed and
+ configured, and pass PDF="yes" to the script.
+
+For the HTML help and user guides to read outside the Gnucash
+application, pass HTML="yes" to the script.
+
+For a specific language, pass DOCLANG="xx", where xx is:
+C for English (default)
+de for German
+it for Italian
+pt for Portugese
+ja for Japanese (guide only, no help - defaults to C)
+ru for Russian (guide only, no help - defaults to C)
+
+Note: This script builds the internal guides in all available
+languages, but the HTML guides are only in the spacified language
+to save space and avoid any excessive package bloat.
diff --git a/office/gnucash-legacy-docs/gnucash-legacy-docs.SlackBuild b/office/gnucash-legacy-docs/gnucash-legacy-docs.SlackBuild
new file mode 100644
index 0000000000..4be745e8eb
--- /dev/null
+++ b/office/gnucash-legacy-docs/gnucash-legacy-docs.SlackBuild
@@ -0,0 +1,128 @@
+#!/bin/sh
+
+# Slackware build script for gnucash-legacy-docs
+
+# Copyright 2018 Lenard Spencer <lspencer31@cfl.rr.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gnucash-legacy-docs
+SRCNAM=gnucash-docs
+DESTNAM=gnucash
+VERSION=${VERSION:-2.6.20}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+ARCH=noarch # does not install any binary files
+
+# Set DOCLANG to C if it is empty:
+if [ ! "$DOCLANG" ]; then
+ DOCLANG=C
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z*
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./configure \
+ --prefix=/usr \
+ --docdir=/usr/doc/$DESTNAM-$VERSION
+
+make
+make -j1 install DESTDIR=$PKG docdir=/usr/doc/$DESTNAM-$VERSION
+
+# Build and install the HTML docs for the specified language (default to C)
+
+
+if [ "$HTML" = "yes" ]; then
+ mkdir -p $PKG/usr/doc/$DESTNAM-$VERSION/html
+ cd guide/${DOCLANG:-C} || cd guide/C
+ echo "in `pwd`"
+ sleep 2
+ make html
+ cp -vR gnucash-guide $PKG/usr/doc/$DESTNAM-$VERSION/html
+ cd ../../help/${DOCLANG:-C} || cd ../../help/C
+ echo "in `pwd`"
+ sleep 2
+ make html
+ cp -vR gnucash-help $PKG/usr/doc/$DESTNAM-$VERSION/html
+ cd ../..
+fi
+
+if [ -x /opt/fop/fop ]; then
+ if [ "$PDF" = "yes" ]; then
+ mkdir -p $PKG/usr/doc/$DESTNAM-$VERSION
+ cd guide/${DOCLANG:-C} || cd guide/C
+ echo "in `pwd`"
+ sleep 2
+ make pdf
+ cp -vR gnucash-guide.pdf $PKG/usr/doc/$DESTNAM-$VERSION
+ cd ../../help/${DOCLANG:-C} || cd ../../help/C
+ echo "in `pwd`"
+ sleep 2
+ make pdf
+ cp -vR gnucash-help.pdf $PKG/usr/doc/$DESTNAM-$VERSION
+ cd ../..
+ fi
+fi
+
+if [ "$EPUB" = "yes" ]; then
+ mkdir -p $PKG/usr/doc/$DESTNAM-$VERSION
+ cd guide/${DOCLANG:-C} || cd guide/C
+ echo "in `pwd`"
+ sleep 2
+ make epub
+ cp -vR gnucash-guide.epub $PKG/usr/doc/$DESTNAM-$VERSION
+ cd ../../help/${DOCLANG:-C} || cd ../../help/C
+ echo "in `pwd`"
+ sleep 2
+ make epub
+ cp -vR gnucash-help.epub $PKG/usr/doc/$DESTNAM-$VERSION
+ cd ../..
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/gnucash-legacy-docs/gnucash-legacy-docs.info b/office/gnucash-legacy-docs/gnucash-legacy-docs.info
new file mode 100644
index 0000000000..e3fb758d03
--- /dev/null
+++ b/office/gnucash-legacy-docs/gnucash-legacy-docs.info
@@ -0,0 +1,10 @@
+PRGNAM="gnucash-legacy-docs"
+VERSION="2.6.20"
+HOMEPAGE="http://www.gnucash.org"
+DOWNLOAD="http://downloads.sourceforge.net/gnucash/gnucash-docs-2.6.20.tar.gz"
+MD5SUM="b55a5a2d2486ec3e2c3b392bc397b822"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="gnucash rarian yelp"
+MAINTAINER="Lenard Spencer"
+EMAIL="lspencer31@cfl.rr.com"
diff --git a/office/gnucash-legacy-docs/slack-desc b/office/gnucash-legacy-docs/slack-desc
new file mode 100644
index 0000000000..112f971455
--- /dev/null
+++ b/office/gnucash-legacy-docs/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gnucash-legacy-docs: gnucash-legacy-docs (Gnucash help and user guides)
+gnucash-legacy-docs:
+gnucash-legacy-docs: Documentation files for Gnucash legacy (2.6.x)
+gnucash-legacy-docs:
+gnucash-legacy-docs: http://www.gnucash.org
+gnucash-legacy-docs:
+gnucash-legacy-docs:
+gnucash-legacy-docs:
+gnucash-legacy-docs:
+gnucash-legacy-docs:
+gnucash-legacy-docs: